<?php
/**
 * Created by PhpStorm.
 * User: radko
 * Date: 2018-12-13
 * Time: 10:00
 */

Route::prefix('/api/vzdelavanie/kniznica/')
    ->middleware('api')
    ->namespace('Seka\Vzdelavanie\Http\Controllers\Api\Kniznica')
    ->group(function () {
        Route::apiResource('kategorie', 'KategoriaController')
            ->names([
                'index' => 'api.vzdelavanie.kniznica.kategoria.index',
            ])->only([
                'index',
            ]);

        Route::apiResource('ucebne-materialy', 'UcebnicaController')
            ->parameters([
                'ucebne-materialy' => 'id',
            ])->names([
                'index' => 'api.vzdelavanie.kniznica.ucebnica.index',
                'show' => 'api.vzdelavanie.kniznica.ucebnica.show',
            ])->only([
                'index',
                'show',
            ]);

        Route::apiResource('ucebne-materialy/{ucebnicaId}/sekcie', 'SekciaController')
            ->parameters([
                'sekcie' => 'ucebnicaId',
            ])->names([
                'index' => 'api.vzdelavanie.kniznica.sekcia.index',
            ])->only([
                'index',
            ]);

        Route::apiResource('ucebne-materialy/{ucebnicaId}/sekcie', 'SekciaController')
            ->parameters([
                'sekcie' => 'sekciaId',
            ])
            ->names([
                'update' => 'api.vzdelavanie.kniznica.sekcia.update',
            ])->only([
                'update',
            ]);

        Route::apiResource('sekcie', 'SekciaController')
            ->parameters([
                'sekcie' => 'id',
            ])->names([
                'show' => 'api.vzdelavanie.kniznica.sekcia.show',
            ])->only([
                'show',
            ]);

        Route::apiResource('vyhladavanie', 'VyhladavanieController')
            ->names([
                'index' => 'api.vzdelavanie.kniznica.vyhladavanie.index',
            ])
            ->only([
                'index',
            ]);

        Route::apiResource('oblubene', 'OblubeneController')
            ->middleware(['permission:vzdelavanie|vzdelavanie_kniznica|vzdelavanie_kniznica.zobrazit'])
            ->parameters([
                'oblubene' => 'id',
            ])
            ->names([
                'store' => 'api.vzdelavanie.kniznica.oblubene.store',
                'destroy' => 'api.vzdelavanie.kniznica.oblubene.destroy',
            ])
            ->only([
                'store',
                'destroy',
            ]);
    }
);
